Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034816
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2016-12-23 08:502017-03-15 20:18
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision84e7958bae79
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034816: Support a second database for reporting

DescriptionIt would be nice to have the ability of configuring Openbravo to have a second (read-only) database that will be used for the generation of the reports. This way the database traffic required for reporting would be redirected to the second database, helping to reduce the burden of the main database.

Project page: http://wiki.openbravo.com/wiki/Projects:Read_Only_Pool [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0034942 closedcaristu Openbravo ERP API Change required for OBDal class 
has duplicate feature request 00347263.0PR17Q2 closedalostale Openbravo ERP Secondary ReadOnly Pool 
related to defect 0032576 closedalostale Openbravo ERP connection leak when printing Requisition report 
related to design defect 0036291 acknowledgedplatform Openbravo ERP even not configured, RO pool uses a different pool instance 
related to defect 0037055 closedcaristu Openbravo ERP Connection leak in threads that makes use of the read only pool and are not encapsulated inside DalThreadHandler  
related to defect 0037820 closedjorge-garcia Retail Modules Support a second database for Retail Reports 
related to feature request 0037933 closedcaristu Openbravo ERP Documents printed with PrintController should use the standard connection pool 
blocks feature request 0038479 closedjarmendariz Openbravo ERP Enable Read-Only pool in a per report basis 
causes defect 0035057 closedcaristu Openbravo ERP potential NPE on trx rollback 
causes defect 0035193 closedcaristu Openbravo ERP Error fired when trying to print and attach a document 
causes defect 0035356 closedcaristu Openbravo ERP print & attach doc logs error using (old) commons jdbc pool 

-  Notes
(0093776)
hgbot (developer)
2017-01-23 13:19

Repository: erp/devel/pi
Changeset: 84e7958bae798b41046be8e1ed65ab7af1705587
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jan 23 12:55:58 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/84e7958bae798b41046be8e1ed65ab7af1705587 [^]

fixes issue 34816: Support a second database for reporting

---
M modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/ConnectionInitializerInterceptor.java
M modules/org.openbravo.apachejdbcconnectionpool/src/org/openbravo/apachejdbcconnectionpool/JdbcExternalConnectionPool.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/report/ReportingUtils.java
M src-core/src/org/openbravo/database/ExternalConnectionPool.java
M src-core/src/org/openbravo/database/SessionInfo.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_01.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_02.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_03.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_04.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_05.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_06.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_07.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_08.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_09.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_10.java
M src-test/src/org/openbravo/advpaymentmngt/test/PaymentTest_11.java
M src-test/src/org/openbravo/test/base/OBBaseTest.java
M src-test/src/org/openbravo/test/costing/TestCosting.java
M src-test/src/org/openbravo/test/dal/DalPerformanceCriteriaTest.java
M src-test/src/org/openbravo/test/dal/DalQueryTest.java
M src-test/src/org/openbravo/test/dal/DalTest.java
M src-test/src/org/openbravo/test/dal/ValidationTest.java
M src-test/src/org/openbravo/test/security/CrossOrganizationReference.java
M src-test/src/org/openbravo/test/security/EntityAccessTest.java
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/dal/core/DalThreadHandler.java
M src/org/openbravo/dal/core/SessionHandler.java
M src/org/openbravo/dal/service/OBCriteria.java
M src/org/openbravo/dal/service/OBDal.java
M src/org/openbravo/dal/service/OBQuery.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/reporting/Report.java
M src/org/openbravo/erpCommon/utility/reporting/ReportManager.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/service/db/DalConnectionProvider.java
---
(0093777)
hgbot (developer)
2017-01-23 13:31

Repository: erp/devel/pi
Changeset: 1f57a0054d99565fe8585ddbc8d6a930871b65c2
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jan 23 13:30:16 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1f57a0054d99565fe8585ddbc8d6a930871b65c2 [^]

related to issue 34816: fixed javadoc parameter name

---
M src/org/openbravo/dal/core/SessionHandler.java
---
(0093854)
hgbot (developer)
2017-01-26 19:34

Repository: erp/devel/pi
Changeset: 258f23e6d2456aabe8d09e1a0fa08d5a384846fe
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Jan 26 19:33:31 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/258f23e6d2456aabe8d09e1a0fa08d5a384846fe [^]

related to issue 34816: added missing pool name when using checkInvariant

Providing the pool name when invoking checkInvariant in commitAndStart method. Besides, the private checkInvariant() method has been removed as now is unused.

---
M src/org/openbravo/dal/core/SessionHandler.java
---
(0093862)
alostale (developer)
2017-01-27 08:35

reviewed within project
(0095116)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095117)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test
(0095122)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-12-23 08:50 caristu New Issue
2016-12-23 08:50 caristu Assigned To => platform
2016-12-23 08:50 caristu Modules => Core
2016-12-23 08:50 caristu Triggers an Emergency Pack => No
2016-12-23 08:51 caristu Description Updated View Revisions
2016-12-23 09:02 caristu Status new => scheduled
2016-12-23 09:02 caristu Assigned To platform => caristu
2017-01-13 09:58 caristu Relationship added related to 0034942
2017-01-18 16:25 alostale Relationship added has duplicate 0034726
2017-01-20 09:17 alostale Relationship replaced depends on 0034942
2017-01-23 13:19 hgbot Checkin
2017-01-23 13:19 hgbot Note Added: 0093776
2017-01-23 13:19 hgbot Status scheduled => resolved
2017-01-23 13:19 hgbot Resolution open => fixed
2017-01-23 13:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/84e7958bae798b41046be8e1ed65ab7af1705587 [^]
2017-01-23 13:31 hgbot Checkin
2017-01-23 13:31 hgbot Note Added: 0093777
2017-01-23 13:36 caristu Review Assigned To => alostale
2017-01-26 12:00 alostale Relationship added causes 0035057
2017-01-26 19:34 hgbot Checkin
2017-01-26 19:34 hgbot Note Added: 0093854
2017-01-27 08:35 alostale Note Added: 0093862
2017-01-27 08:35 alostale Status resolved => closed
2017-01-27 08:35 alostale Fixed in Version => 3.0PR17Q2
2017-02-08 09:39 caristu Relationship added causes 0035193
2017-02-24 15:20 caristu Relationship added causes 0035356
2017-02-24 15:25 caristu Relationship added related to 0032576
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095116
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095117
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095122
2017-06-20 10:43 alostale Relationship added related to 0036291
2017-10-11 14:17 caristu Relationship added related to 0037055
2018-02-02 12:08 jorge-garcia Relationship added related to 0037820
2018-02-15 14:16 caristu Relationship added related to 0037933
2018-05-03 08:55 alostale Relationship added blocks 0038479


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker